> ## Documentation Index
> Fetch the complete documentation index at: https://docs.60db.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Song

> Download the MP3 file for a completed song

Download the song as an MP3 file. Only works for songs with `status: succeeded`.

## Request

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token with your API key
</ParamField>

### Path Parameters

<ParamField path="id" type="string" required>
  Song UUID
</ParamField>

## Response

**200 OK:** `audio/mpeg` bytes with `Content-Disposition: attachment; filename="<title>.mp3"`

**404:** Song not found or not in your workspace

**409:** Song is not ready yet (still generating or failed)

## Example

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.60db.ai/songs/song-550e8400/download \
    -H "Authorization: Bearer your-api-key" \
    -o my-song.mp3
  ```

  ```javascript JavaScript theme={null}
  const audioBuffer = await client.music.download('song-550e8400');
  // Save to file or play in browser
  ```

  ```python Python theme={null}
  audio_bytes = client.music.download('song-550e8400')
  with open('my-song.mp3', 'wb') as f:
      f.write(audio_bytes)
  ```
</RequestExample>
